# source https://github.com/TokTok/c-toxcore/archive/v0.1.2.tar.gz
%global enable_daemon 0

Name:           toxcore
Version:        0.1.2
Release:        %mkrel 2
Summary:        Secure, configuration-free, P2P Skype replacement backend

License:        GPLv3
Group:		Networking/Instant messaging
URL:            https://tox.chat
Source0:        %{name}-%{version}.tar.xz
Source1:	tox-bootstrapd.sh

BuildRequires:	%{_lib}config-devel
BuildRequires:	%{_lib}opus-devel
BuildRequires:  %{_lib}sodium-devel
BuildRequires:	%{_lib}vpx-devel
%if %{enable_daemon}
Requires(pre,post): rpm-helper
Requires(preun,postun): rpm-helper
%endif
Provides:	%{_lib}toxav0 = %{version}-%{release}
Provides:       %{_lib}toxcore0 = %{version}-%{release}
Provides:       %{_lib}toxdns0 = %{version}-%{release}
Provides:       %{_lib}toxencryptsave0 = %{version}-%{release}

%description
With the rise of government surveillance programs, Tox, a FOSS
initiative, aims to be an easy to use, all-in-one communication
platform that ensures full privacy and secure message delivery.

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name}
Provides:	%{_lib}toxav-devel = %{version}-%{release}
Provides:	%{_lib}toxcore-devel = %{version}-%{release}
Provides:	%{_lib}toxdns-devel = %{version}-%{release}
Provides:       %{_lib}toxencryptsave-devel = %{version}-%{release}

%description devel
Development files for %{name}.

%prep
%setup -q

%build
autoreconf -fi
%configure2_5x \
  %if %{enable_daemon}
  --enable-daemon \
  %endif
  --disable-ntox \
  --disable-static
%make

%install
%makeinstall_std
%if %{enable_daemon}
%__install -Dm755 %{S:1} %{buildroot}%{_initddir}/tox-bootstrapd
%__install -Dm644 other/bootstrap_daemon/tox-bootstrapd.conf %{buildroot}%{_sysconfdir}/tox-bootstrapd.conf
%endif
find %{buildroot} -name "*.la" -delete

%if %{enable_daemon}
%pre
if [ "$1" = 1 ]; then
%_pre_useradd tox-bootstrapd /var/lib/tox-bootstrapd /bin/false
%__install -dm750 -o tox-bootstrapd -g tox-bootstrapd %{_localstatedir}/lib/tox-bootstrapd
fi

%post
%_post_service tox-bootstrapd
if [ "$1" = 1 ]; then
%__service tox-bootstrapd start
fi

%preun
if [ "$1" = 0 ]; then
%_preun_service tox-bootstrapd
fi

%postun
if [ "$1" = 0 ]; then
%{_sbindir}/userdel -rf tox-bootstrapd &>/dev/null
fi
%endif

%files
%doc COPYING DONATORS README.md
%if %{enable_daemon}
%{_initddir}/tox-bootstrapd
%config(noreplace) %{_sysconfdir}/tox-bootstrapd.conf
%{_bindir}/tox-bootstrapd
%attr(750,tox-bootstrapd,tox-bootstrapd) %ghost %dir %{_localstatedir}/lib/tox-bootstrapd
%attr(755,tox-bootstrapd,tox-bootstrapd) %ghost %dir %{_localstatedir}/run/tox-bootstrapd
%endif
%{_bindir}/DHT_bootstrap
%{_libdir}/libtox*.so.*

%files devel
%{_includedir}/tox
%{_libdir}/libtox*.so
%{_libdir}/pkgconfig/libtox*.pc

%changelog
* Sat Jan 28 2017 adrianomorselli <adrianomorselli> 0.1.2-2uplos2017
- rebuild

* Mon Jan 02 2017 bb <bb> 0.1.2-2pclos2017
- remove epoch

* Thu Dec 30 2016 marcin82 <marcin82 at vp.pl> 0.1.2-1pclos2017
- update
- changed source code url

* Thu Dec 15 2016 marcin82 <marcin82 at vp.pl> 3769-1pclos2017
- Initial build for PCLinuxOS
